public class DoPayrollTypeF {

  public static void main(String args[]) {

    FullTimeEmployee ftEmployee = new FullTimeEmployee();

    ftEmployee.setName("Барри Берд");
    ftEmployee.setJobTitle("Директор");
    ftEmployee.setWeeklySalary(5000.00);
    ftEmployee.setBenefitDeduction(500.00);
    ftEmployee.cutCheck(ftEmployee.findPaymentAmount());
    System.out.println();

    PartTimeEmployee ptEmployee = new PartTimeEmployee();

    ptEmployee.setName("Стив Гордон");
    ptEmployee.setJobTitle("Водитель");
    ptEmployee.setHourlyRate(7.53);
    ptEmployee.cutCheck
                    (ptEmployee.findPaymentAmount(10));
  }
}
